# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Jan 31 11:12:26 2020
# ------------------------------------------------

package:
    name: ont-fast5-api
    version: 3.0.1
source:
    sha256: e5e82a54b5628f19597710e50cb0117fb6e78fd41d345b424f58d2613fbadaf2
    url: https://pypi.io/packages/source/o/ont-fast5-api/ont-fast5-api-3.0.1.tar.gz
build:
    entry_points:
        - multi_to_single_fast5=ont_fast5_api.conversion_tools.multi_to_single_fast5:main
        - single_to_multi_fast5=ont_fast5_api.conversion_tools.single_to_multi_fast5:main
    noarch: python
    number: '0'
    script: '/opt/conda/conda-bld/ont-fast5-api_1580469304226/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
        -m pip install . --no-deps --ignore-installed -vv '
    string: py_0
requirements:
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 0_gnu
        - ca-certificates 2019.11.28 hecc5488_0
        - certifi 2019.11.28 py27_0
        - libffi 3.2.1 he1b5a44_1006
        - libgcc-ng 9.2.0 h24d8f2e_2
        - libgomp 9.2.0 h24d8f2e_2
        - libstdcxx-ng 9.2.0 hdf63c60_2
        - ncurses 6.1 hf484d3e_1002
        - openssl 1.1.1d h516909a_0
        - pip 20.0.2 py27_1
        - python 2.7.15 h5a48372_1009
        - readline 8.0 hf8c457e_0
        - setuptools 44.0.0 py27_0
        - sqlite 3.30.1 hcee41ef_0
        - tk 8.6.10 hed695b0_0
        - wheel 0.34.2 py27_0
        - zlib 1.2.11 h516909a_1006
    run:
        - h5py >=2.2.1
        - numpy >=1.8.1
        - progressbar33 >=2.3.1
        - python
        - six >=1.9
test:
    commands:
        - multi_to_single_fast5 --help
        - single_to_multi_fast5 --help
    imports:
        - ont_fast5_api
        - ont_fast5_api.analysis_tools
        - ont_fast5_api.conversion_tools
about:
    home: https://github.com/nanoporetech/ont_fast5_api
    license: Mozilla Public 2.0 (MPL 2.0)
    license_family: OTHER
    license_file: LICENSE.md
    summary: Oxford Nanopore Technologies fast5 API software
extra:
    copy_test_source_files: true
    final: true
